> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiassetspermissionsbulk merge



## OpenAPI

````yaml /api-reference/openapi.yaml post /api/assets/permissions/bulk-merge/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/assets/permissions/bulk-merge/:
    post:
      tags:
        - api
      operationId: assets_permissions_bulk_merge
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssetPermissionBulkMerge'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/AssetPermissionBulkMerge'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AssetPermissionBulkMerge'
        required: true
      responses:
        '204':
          description: No response body
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    AssetPermissionBulkMerge:
      type: object
      properties:
        asset_ids:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
        upsert:
          type: array
          items:
            $ref: '#/components/schemas/PermissionAssignmentWrite'
        remove_subjects:
          type: array
          items:
            $ref: '#/components/schemas/RemoveSubject'
        remove_user_ids:
          type: array
          items:
            $ref: '#/components/schemas/RemoveSubject'
      required:
        - asset_ids
    PermissionAssignmentWrite:
      type: object
      properties:
        subject_type:
          allOf:
            - $ref: '#/components/schemas/SubjectTypeEnum'
          default: user
        subject_id:
          type: string
          format: uuid
          nullable: true
        flags:
          type: integer
          minimum: 1
      required:
        - flags
    RemoveSubject:
      type: object
      properties:
        subject_type:
          allOf:
            - $ref: '#/components/schemas/SubjectTypeEnum'
          default: user
        subject_id:
          type: string
          format: uuid
          nullable: true
    SubjectTypeEnum:
      enum:
        - user
        - group
        - public
      type: string
      description: |-
        * `user` - User
        * `group` - Group
        * `public` - Public

````